Aadhaar to UAN
Introduction:
Aadhaar to UAN API takes in the aadhaar number, name and dob as input and gives the UAN number and other related details in the output.
Sample cURL:
curl --location 'https://api.signzy.app/api/v3/employment-verification/aadhaar-to-uan' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "John Doe",
"aadhaar": "123412341234",
"dob": "25/06/1999"
}'Request Headers:
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-Type | application/json |
Request Body:
{
"name": "John Doe",
"aadhaar": "123412341234",
"dob": "25/06/1999"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
aadhaar | aadhaar number of the user | String | Mandatory |
name | name of the user associated with the given aadhaar | String | Mandatory |
dob | date of birth of the user associated with the aadhaar | String | Mandatory |
Response Data:
{
"result": {
"uan": "987698769876",
"dob": "25/06/1999",
"memberId": "",
"name": "JOHN DOE",
"pan": "ABCDE1234Z",
"status_code": 200,
"message_code": "Success",
"message": "Success",
"success": true
}
}Status Codes:
CODE | MESSAGE |
|---|---|
200 400 404 | Request Successful Validation Error User Not Found |
409 500 | Upstream is down Server Side Error |